## EPreferencesWindow EPreferencesWindow |

## Functions

GtkWidget * | e_preferences_window_new ()
gpointer | e_preferences_window_get_shell ()
void | e_preferences_window_setup ()
void | e_preferences_window_add_page ()
void | e_preferences_window_show_page ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EPreferencesWindow

## Description

## Functions

### e_preferences_window_new ()

    GtkWidget *
    e_preferences_window_new (gpointer shell);

### e_preferences_window_get_shell ()

    gpointer
    e_preferences_window_get_shell (EPreferencesWindow *window);

### e_preferences_window_setup ()

    void
    e_preferences_window_setup (EPreferencesWindow *window);

### e_preferences_window_add_page ()

    void
    e_preferences_window_add_page (EPreferencesWindow *window,
                                   const gchar *page_name,
                                   const gchar *icon_name,
                                   const gchar *caption,
                                   const gchar *help_target,
                                   EPreferencesWindowCreatePageFn create_fn,
                                   gint sort_order);

### e_preferences_window_show_page ()

    void
    e_preferences_window_show_page (EPreferencesWindow *window,
                                    const gchar *page_name);

## Types and Values